CRUD operations for "custom field definitions" (not setting custom fields on issues!)

2011-11-25 20:48 - Alex Last

Status: New Start date: 2011-11-25

Priority: Normal Due date:  

Assignee: Etienne Massip % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

my Redmine Java API tests check that a new Issue has some custom fields set.

to do that, I have to create those custom field definitions in Redmine manually first.

would be nice to improve the tests so that they could create the required custom fields in Redmine - but unfortunately Redmine's

REST API does not allow that.

Again, I'm talking about creating custom fields definitions in Redmine install, not setting already defined custom fields on an Issue.

I understand that this operation would probably require an admin permission - that's fine.

Related issues:

Related to Redmine - Feature #11159: REST API for getting CustomField definit... Closed

Related to Redmine - Feature #18966: API - Custom field creation Closed

Has duplicate Redmine - Feature #18848: Expand custom field API Closed

Has duplicate Redmine - Feature #35216: Create/Update custom fields via API Closed

History

#1 - 2012-05-14 01:27 - Alex Last

- Assignee set to Etienne Massip

can you please take a look at this request?

#2 - 2012-09-20 14:03 - Alex Last

any chance of getting this implemented anytime soon?

#3 - 2013-03-29 17:50 - Stéphane Klein

+1

#4 - 2013-09-24 14:29 - Vincent Caron

- File redmine-customfields-rest.patch added

I have a patch which implement only the 'R' part, that is lists the available custom fields, for admin users (redmine-customfields-rest.patch). It has

been tested on Redmine 2.3.0 and 2.3.2.

And here is a wiki doc which would fit as http://www.redmine.org/projects/redmine/wiki/Rest_IssueCategories :

Custom Fields

/custom_fields.xml

GET

Returns all custom field definitions.

Example:

GET /custom_fields.xml
 Response:

<?xml version="1.0" encoding="UTF-8"?>

<custom_fields type="array" limit="4" total_count="4" offset="0">

  <custom_field>

    <id>1</id>

    <name>Foobarity</name>

    <type>IssueCustomField</type>

    <format>list</format>

    <required>false</required>

    <searchable>true</searchable>

    <multiple_values>false</multiple_values>

    <possible_values type="array">

      <value>Foo</value>

      <value>Bar</value>

      <value>None</value>

    </possible_values>

    <default_value>None</default_value>

  </custom_field>

  ...

</custom_fields>

#5 - 2013-09-29 11:59 - Jean-Philippe Lang

- Related to Feature #11159: REST API for getting CustomField definitions added

#6 - 2015-01-21 07:00 - Mischa The Evil

- Has duplicate Feature #18848: Expand custom field API added

#7 - 2015-02-04 06:53 - Toshi MARUYAMA

- Related to Feature #18966: API - Custom field creation added

#8 - 2015-04-10 11:49 - Ieuan Jenkins

Just to note, this is useful for another situation than that mentioned in the original description: we have a situation where a custom field dropdown list

relates to some external references that change at regular intervals via an automated process.

It would be useful (and much tidier/safer) to be able to update this list via the REST API rather than our current solution of updating the custom_fields

DB table directly.

#9 - 2021-03-16 15:30 - Jakub G

Is there any chance to implement this feature? I'm developing app which needs to be tested with redmine. I'd like to automate process of creating

development environment (auto install and config redmine with Docker), and i can create project, issues etc. but i can't create custom fields for tests :/

The only way is to copy prefilled DB which isn't the best solution in my case.

#10 - 2021-05-07 04:09 - Go MAEDA

- Has duplicate Feature #35216: Create/Update custom fields via API added

#11 - 2021-09-03 09:44 - Ferdinand S

I would like to support this feature as we are also trying to implement some automation which involves CRUD operations on custom field

administration.

Add a new possible value of a list field

Remove an existing possible value

thank you

Files

redmine-customfields-rest.patch 1.69 KB 2013-09-24 Vincent Caron
